Download a File

Download a previously uploaded file by its ID. Returns a temporary download URL valid for 1 hour.
Request Parameters
idstring
required
Unique file identifier returned by the Upload a File endpoint.
Response Parameters
resultResult
See Result.
idstring
Unique file identifier.
fileNamestring
Original file name.
createdAtdatetime
Timestamp when the file was originally uploaded, following the ISO 8601 standard. See Data Types.
downloadUrlstring
Temporary download URL. Valid for 1 hour. Returned when resultStatus is S.
downloadUrlExpiresAtdatetime
Download URL expiration time, following the ISO 8601 standard. See Data Types. Returned when resultStatus is S.
Error Codes
resultCoderesultStatusresultMessageTroubleshooting
SUCCESSSsuccessN/A
FILE_NOT_FOUNDFFile not found.The specified file ID does not exist or has been deleted.
Definition
POST /api/open/v1/files/download
Request
{
"id": "20260430_a1b2c3d4****"
}
Response
{
"result": {
  "resultCode": "SUCCESS",
  "resultMessage": "success",
  "resultStatus": "S"
},
"id": "20260430_a1b2c3d4****",
"fileName": "business_license.pdf",
"createdAt": "2026-04-30T10:30:00+08:00",
"downloadUrl": "https://{domain}/v1/files/download/20260430_a1b2c3d4****?token=eyJhbGciOi...&expires=3600",
"downloadUrlExpiresAt": "2026-04-30T11:30:00+08:00"
}